Add "auth_source_id" to GET request for Endpoint /users.:format

2022-02-18 10:22 - Christoph Graf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

In our Redmine installation we have both local users and users from our LDAP service. It would be very helpful for our user

management if we could filter for "auth_source_id" in a GET request for the endpoint /users.:format.

Example:

GET /users.json?limit=100&auth_source_id=1

Related issues:

Related to Redmine - Feature #23307: Include auth_source field in User API re... Resolved

Is duplicate of Redmine - Feature #37674: Upgrade Admin/Users list to use the... Closed

History

#1 - 2022-02-20 08:25 - Go MAEDA

- Related to Feature #23307: Include auth_source field in User API response added

#2 - 2023-03-14 15:17 - Joan J

There's a patch in the related feature #23307, could that be included in next release?

#3 - 2024-01-25 17:44 - Marius BĂLTEANU

- Status changed from New to Closed

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

Starting with Redmine 5.1 (#37674) you can now filter for auth_source_id using the same syntax that exists for other entities. The one pointed by you

should work as expected.

#4 - 2024-01-25 17:45 - Marius BĂLTEANU

- Is duplicate of Feature #37674: Upgrade Admin/Users list to use the query system added
